import {StyleSheet} from 'react-native';
import {Colors} from 'utils/colors';

export const styles = StyleSheet.create({
  container: {
    flex: 1,
    overflow: 'hidden',
  },
  change: {
    fontSize: 18,
    fontFamily: 'RobotoSlab-Bold',
    color: '#756156',
  },
  headerShadow: {
    backgroundColor: Colors.background,
    zIndex: 10,
    shadowColor: '#000',
    shadowOffset: {
      width: 0,
      height: 1,
    },
    shadowOpacity: 0.2,
    shadowRadius: 1.41,

    elevation: 2,
  },
  textInputStyle: {
    borderBottomWidth: 1,
    borderColor: Colors.lighter,
    marginVertical: 10,
    marginLeft: 15,
    marginRight: 20,
    fontSize: 16,
    height: 40,
    color: Colors.foreground,
  },
  title: {
    fontSize: 35,
    fontFamily: 'RobotoSlab-Bold',
    color: Colors.foreground,
    marginTop: 0,
    marginLeft: 15,
    flex: 1,
  },
  subtitle: {
    fontSize: 16,
    fontFamily: 'RobotoSlab-Bold',
    color: Colors.lighter,
    marginVertical: 20,
    marginLeft: 15,
  },
  moreBtn: {
    paddingHorizontal: 5,
    justifyContent: 'space-around',
    paddingRight: 13,
  },
  pillsContainer: {
    marginHorizontal: 20,
    marginBottom: 20,
    marginTop: 15,
    flexDirection: 'row',
  },
  appButtonContainerSelected: {
    alignSelf: 'flex-start',
    backgroundColor: Colors.pill,
    borderRadius: 10,
    paddingVertical: 6,
    paddingHorizontal: 10,
    marginRight: 5,
  },
  appButtonContainer: {
    alignSelf: 'flex-start',
    borderRadius: 10,
    paddingVertical: 6,
    paddingHorizontal: 10,
    marginRight: 5,
  },
  subLeft: {
    fontSize: 15,
    fontFamily: 'RobotoSlab-Medium',
    color: Colors.lighter,
    marginBottom: 10,
    marginLeft: 10,
    marginTop: 20,
  },
  subRight: {
    fontSize: 15,
    fontFamily: 'RobotoSlab-Medium',
    color: Colors.lighter,
    marginBottom: 10,
    marginRight: 10,
    marginTop: 20,
  },
  appButtonText: {
    fontSize: 11,
    color: Colors.foreground,
    fontWeight: 'bold',
    alignSelf: 'center',
    textTransform: 'uppercase',
  },
  close: {
    position: 'absolute',
    backgroundColor: Colors.background,
    width: 40,
    height: 40,
    left: 10,
    top: 10,
    zIndex: 10,
    justifyContent: 'center',
    alignItems: 'center',
    borderRadius: 100,
  },
  nftpills: {
    backgroundColor: Colors.darker,
    padding: 5,
    borderRadius: 20,
    paddingHorizontal: 10,
    marginRight: 5,
    borderWidth: 1,
    borderColor: Colors.pill,
  },
  opensea: {
    flexDirection: 'row',
    alignItems: 'center',
    backgroundColor: '#2081E2',
    alignContent: 'flex-start',
    alignSelf: 'flex-start',
    paddingHorizontal: 10,
    paddingRight: 15,
    borderRadius: 5,
    marginBottom: 30,
  },
  openseaLogo: {
    height: 25,
    width: 25,
  },
  openseaText: {color: 'white', fontSize: 13},
  paraFore: {
    height: 350,
  },
  paraContainer: {
    flex: 1,
    backgroundColor: Colors.background,
  },
  nftTitleCont: {
    paddingHorizontal: 15,
    backgroundColor: Colors.darker,
    paddingVertical: 15,
  },
  date: {
    fontSize: 12,
    color: Colors.lighter,
    marginBottom: 5,
  },
  nftTitle: {
    fontSize: 23,
    color: Colors.foreground,
    fontFamily: 'RobotoSlab-Bold',
  },
  nftTitleDesc: {
    fontSize: 17,
    color: Colors.foreground,
    fontFamily: 'RobotoSlab-Bold',
    marginTop: 15,
  },
  nftDesc: {
    fontSize: 15,
    color: Colors.foreground,
    fontFamily: 'RobotoSlab-Regular',
    marginTop: 10,
  },
  nftDesc2: {
    fontSize: 14,
    color: Colors.foreground,
    fontFamily: 'RobotoSlab-Light',
    marginTop: 20,
  },
  nonft: {
    flex: 0.9,
    justifyContent: 'center',
    alignContent: 'center',
    alignItems: 'center',
  },
  noNftImg: {
    height: 180,
    tintColor: 'gray',
    opacity: 0.4,
  },
});
